Deployments - Delete
Deletes the specified deployment associated with the Cognitive Services account.
DELETE https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.CognitiveServices/accounts/{accountName}/deployments/{deploymentName}?api-version=2024-10-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
account
|
path | True |
string minLength: 2maxLength: 64 pattern: ^[a-zA-Z0-9][a-zA-Z0-9_.-]*$ |
The name of Cognitive Services account. |
|
deployment
|
path | True |
string |
The name of the deployment associated with the Cognitive Services Account |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
The name of the resource group. The name is case insensitive. |
|
subscription
|
path | True |
string minLength: 1 |
The ID of the target subscription. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK -- Delete the deployment successfully. |
|
| 202 Accepted |
Accepted -- the operation was successfully started and will complete asynchronously. |
|
| 204 No Content |
No Content -- The deployment does not exist. |
|
| Other Status Codes |
Error response describing why the operation failed. |
Examples
DeleteDeployment
Sample request
DELETE https://management.azure.com/subscriptions/subscriptionId/resourceGroups/resourceGroupName/providers/Microsoft.CognitiveServices/accounts/accountName/deployments/deploymentName?api-version=2024-10-01
Sample response
azure-asyncoperation: http://azure.async.operation/status
Definitions
| Name | Description |
|---|---|
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Error response |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |